# Uses of Class
org.eclipse.e4.ui.css.core.impl.engine.selector.Selectors.SelectorList

Packages that use Selectors.SelectorList
Package
Description
org.eclipse.e4.ui.css.core.dom
org.eclipse.e4.ui.css.core.engine
org.eclipse.e4.ui.css.core.impl.dom
org.eclipse.e4.ui.css.core.impl.engine
org.eclipse.e4.ui.css.core.impl.engine.selector

## Uses of Selectors.SelectorList in org.eclipse.e4.ui.css.core.dom

Methods in org.eclipse.e4.ui.css.core.dom that return Selectors.SelectorList
Modifier and Type
Method
Description
`Selectors.SelectorList`
ExtendedCSSRule.`getSelectorList()`
Return the list of selectors of this `CSSRule`.

## Uses of Selectors.SelectorList in org.eclipse.e4.ui.css.core.engine

Methods in org.eclipse.e4.ui.css.core.engine that return Selectors.SelectorList
Modifier and Type
Method
Description
`Selectors.SelectorList`
CSSEngine.`parseSelectors(InputStream stream)`
Parse Selectors from InputStream.
`Selectors.SelectorList`
CSSEngine.`parseSelectors(Reader reader)`
Parse Selectors from String value.
`Selectors.SelectorList`
CSSEngine.`parseSelectors(String text)`
Parse Selectors from String value.
`Selectors.SelectorList`
CSSEngine.`parseSelectors(org.w3c.css.sac.InputSource source)`
Parse Selectors from InputSource value.

## Uses of Selectors.SelectorList in org.eclipse.e4.ui.css.core.impl.dom

Methods in org.eclipse.e4.ui.css.core.impl.dom that return Selectors.SelectorList
Modifier and Type
Method
Description
`Selectors.SelectorList`
CSSStyleRuleImpl.`getSelectorList()`
Constructors in org.eclipse.e4.ui.css.core.impl.dom with parameters of type Selectors.SelectorList
Modifier
Constructor
Description
``
`CSSStyleRuleImpl(CSSStyleSheet parentStyleSheet, CSSRule parentRule, Selectors.SelectorList selectors)`

## Uses of Selectors.SelectorList in org.eclipse.e4.ui.css.core.impl.engine

Methods in org.eclipse.e4.ui.css.core.impl.engine that return Selectors.SelectorList
Modifier and Type
Method
Description
`Selectors.SelectorList`
CSSEngineImpl.`parseSelectors(InputStream stream)`
`Selectors.SelectorList`
CSSEngineImpl.`parseSelectors(Reader reader)`
`Selectors.SelectorList`
CSSEngineImpl.`parseSelectors(String selector)`
`Selectors.SelectorList`
CSSEngineImpl.`parseSelectors(org.w3c.css.sac.InputSource source)`

## Uses of Selectors.SelectorList in org.eclipse.e4.ui.css.core.impl.engine.selector

Methods in org.eclipse.e4.ui.css.core.impl.engine.selector that return Selectors.SelectorList
Modifier and Type
Method
Description
`static Selectors.SelectorList`
SacTranslator.`translate(org.w3c.css.sac.SelectorList sacList)`
Translate an entire `SelectorList` into the internal form.